// TGA Demo Program using Davie Reed's Targa Unit
// efg, January 1999

unit ScreenTargaDemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TFormTGA = class(TForm)
    ImageTGA: TImage;
    ButtonReadTGa: TButton;
    procedure ButtonReadTGaClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormTGA: TFormTGA;

implementation
{$R *.DFM}

  USES
    Targa;

procedure TFormTGA.ButtonReadTGaClick(Sender: TObject);
  VAR
    Bitmap:  TBitmap;
begin
  Bitmap := TBitmap.Create;
  TRY
    LoadFromFileX('Scene.TGA', Bitmap);
    ImageTGA.Picture.Graphic := Bitmap
  FINALLY
    Bitmap.Free
  END;
end;

end.
